The Quality Inspection Parameter object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

parameter string required
description string
parameter_group string
The Quality Inspection Parameter object
{
  "id": "quality-inspection-parameter_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "parameter": "parameter_example",
  "description": "description_example",
  "parameter_group": "parameter_group_example"
}
GET /api/stock/quality-inspection-parameter/{id}

Retrieve a quality inspection parameter

Retrieves the details of an existing quality inspection parameter. Supply the unique quality inspection parameter ID that was returned from a previous request.

Path parameters

id string required

The identifier of the quality inspection parameter to retrieve.

Returns

Returns the quality inspection parameter object if a valid identifier was provided.

GET /api/stock/quality-inspection-parameter/{id}
curl https://api.overplane.dev/api/stock/quality-inspection-parameter/quality-inspection-parameter_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "quality-inspection-parameter_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "parameter": "parameter_example",
  "description": "description_example",
  "parameter_group": "parameter_group_example"
}
GET /api/stock/quality-inspection-parameter

List all quality inspection parameters

Returns a list of quality inspection parameters. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of quality inspection parameter objects.

GET /api/stock/quality-inspection-parameter
curl https://api.overplane.dev/api/stock/quality-inspection-parameter \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "quality-inspection-parameter_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "parameter": "parameter_example",
      "description": "description_example",
      "parameter_group": "parameter_group_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/stock/quality-inspection-parameter

Create a quality inspection parameter

Creates a new quality inspection parameter object.

Body parameters

parameter string required
description string
parameter_group string

Returns

Returns the newly created quality inspection parameter object if the call succeeded.

POST /api/stock/quality-inspection-parameter
curl https://api.overplane.dev/api/stock/quality-inspection-parameter \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"parameter":"parameter_example"}'
Response
{
  "id": "quality-inspection-parameter_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "parameter": "parameter_example",
  "description": "description_example",
  "parameter_group": "parameter_group_example"
}
PATCH /api/stock/quality-inspection-parameter/{id}

Update a quality inspection parameter

Updates the specified quality inspection parameter by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the quality inspection parameter to update.

Body parameters

parameter string
description string
parameter_group string

Returns

Returns the updated quality inspection parameter object.

PATCH /api/stock/quality-inspection-parameter/{id}
curl https://api.overplane.dev/api/stock/quality-inspection-parameter/quality-inspection-parameter_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"parameter":"parameter_example","description":"description_example"}'
Response
{
  "id": "quality-inspection-parameter_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "parameter": "parameter_example",
  "description": "description_example",
  "parameter_group": "parameter_group_example"
}
DELETE /api/stock/quality-inspection-parameter/{id}

Delete a quality inspection parameter

Permanently deletes a quality inspection parameter. This cannot be undone.

Path parameters

id string required

The identifier of the quality inspection parameter to delete.

Returns

Returns a confirmation that the quality inspection parameter has been deleted.

DELETE /api/stock/quality-inspection-parameter/{id}
curl https://api.overplane.dev/api/stock/quality-inspection-parameter/quality-inspection-parameter_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "quality-inspection-parameter_abc123",
  "deleted": true
}